.container {
    display: block;
    overflow: hidden !important;
    position: absolute;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
}

.container.light {
    background: #ffffff;
    color: #111111 !important;
}

.container.dark {
    background: #222222;
    color: #fff !important;
}

.box {
    position: relative;
    margin-right: 50px;
    margin-left: 50px;
}

.container.light > .box > .basis {
    box-shadow: 0 0 75px 0 rgba(0, 0, 0, 0.40);
}

.container.dark > .box > .basis {
    box-shadow: 0 0 75px 0 rgba(0, 0, 0, 0.75);
}

.container > .box > .basis {
    max-width: 100%;
    margin: 0;
    background: transparent;
    position: absolute;
    top: 50vh;
    transform: translate(-50%, -50%);
    z-index: 1000;
}

.container > .box > .item1 {
    filter: grayscale(0%);
    left: 25%;
    margin-right: -25%;
    max-height: 50vh;
    border-radius: 25px;
    animation: in1 30s;
    animation-iteration-count: infinite;
}

.container > .box > .item2 {
    filter: grayscale(0%);
    left: 31.25%;
    margin-right: -31.25%;
    max-height: 45vh;
    border-radius: 25px;
    animation: in2 30s;
    animation-iteration-count: infinite;
}

.container > .box > .item3 {
    filter: grayscale(0%);
    left: 37.5%;
    margin-right: -37.5%;
    max-height: 40vh;
    border-radius: 25px;
    animation: in3 30s;
    animation-iteration-count: infinite;
}

.container > .box > .item4 {
    filter: grayscale(0%);
    left: 43.75%;
    margin-right: -43.75%;
    max-height: 35vh;
    border-radius: 25px;
    animation: in4 30s;
    animation-iteration-count: infinite;
}

.container > .box > .item5 {
    filter: grayscale(0%);
    left: 50%;
    margin-right: -50%;
    max-height: 30vh;
    border-radius: 25px;
    /*-webkit-animation: in5 90s;*/
    animation: in5 30s;
    animation-iteration-count: infinite;
}

.container > .box > .basis.itemText {
    box-shadow: 0 0 0 0 rgba(0, 0, 0, 0) !important;
    left: 50%;
    text-align: center;
    font-family: "Segoe UI Light", serif;
    /*top: 10vh;*/
    margin-right: -50%;
    max-height: 50vh !important;
    background: none !important;
    animation: inText 30s;
    animation-iteration-count: infinite;
}

@-webkit-keyframes inText {
    0%, 69%, 100% {
        top: 10vh !important;
        left: 87.5%;
        margin-right: -87.5%;
    }

    70%, 99% {
        top: 50vh !important;
        left: 50%;
        margin-right: -50%;
    }

}

@-webkit-keyframes in1 {
    0%, 30%, 70%, 100% {
        max-height: 0;
        border-radius: 0;
        margin-right: -100% !important;
        left: 100%;
    }

    20%, 29% {
        max-height: 50vh;
        border-radius: 25px;
        left: 50%;
        margin-right: -50%;
    }
    1%, 9%, 11%, 19% {
        max-height: 50vh;
        border-radius: 25px;
        margin-right: -25% !important;
        left: 25%;
    }
    10% {
        max-height: 50vh;
        border-radius: 25px;
        margin-right: -35% !important;
        left: 35%;
    }

}

@-webkit-keyframes in2 {
    0%, 40%, 70%, 100% {
        max-height: 0;
        border-radius: 0;
        margin-right: -100% !important;
        left: 100%;
    }
    20%, 29% {
        filter: grayscale(100%);
        max-height: 45vh;
        border-radius: 25px;
        left: 31.25%;
        margin-right: -31.25%;
    }
    30%, 39% {
        filter: grayscale(0%);
        max-height: 50vh;
        border-radius: 25px;
        left: 50%;
        margin-right: -50%;
    }
    1.25%, 10%, 12%, 19% {
        filter: grayscale(0%);
        max-height: 45vh;
        border-radius: 25px;
        left: 31.25%;
        margin-right: -31.25%;
    }

    11% {
        max-height: 45vh;
        border-radius: 25px;
        left: 41.25%;
        margin-right: -41.25%;
    }

}

@-webkit-keyframes in3 {
    0%, 50%, 70%, 100% {
        max-height: 0;
        border-radius: 0;
        margin-right: -100% !important;
        left: 100%;
    }
    30%, 39% {
        filter: grayscale(100%);
        max-height: 45vh;
        border-radius: 25px;
        left: 31.25%;
        margin-right: -31.25%;
    }
    40%, 49% {
        filter: grayscale(0%);
        max-height: 50vh;
        border-radius: 25px;
        left: 50%;
        margin-right: -50%;
    }
    1.5%, 11%, 13%, 29% {
        filter: grayscale(0%);
        max-height: 40vh;
        border-radius: 25px;
        left: 37.5%;
        margin-right: -37.5%;
    }
    12% {
        max-height: 40vh;
        border-radius: 25px;
        left: 47.5%;
        margin-right: -47.5%;
    }

}

@-webkit-keyframes in4 {
    0%, 60%, 70%, 100% {
        max-height: 0;
        border-radius: 0;
        margin-right: -100% !important;
        left: 100%;
    }
    40%, 49% {
        filter: grayscale(100%);
        max-height: 45vh;
        border-radius: 25px;
        left: 31.25%;
        margin-right: -31.25%;
    }
    50%, 59% {
        filter: grayscale(0%);
        max-height: 50vh;
        border-radius: 25px;
        left: 50%;
        margin-right: -50%;
    }
    1.75%, 12%, 14%, 39% {
        filter: grayscale(0%);
        max-height: 35vh;
        border-radius: 25px;
        left: 43.75%;
        margin-right: -43.75%;
    }
    13% {
        max-height: 35vh;
        border-radius: 25px;
        left: 53.75%;
        margin-right: -53.75%;
    }

}

@-webkit-keyframes in5 {
    0%, 70%, 90%, 100% {
        max-height: 0;
        border-radius: 0;
        margin-right: -100% !important;
        left: 100%;
    }
    50%, 59% {
        filter: grayscale(100%);
        max-height: 45vh;
        border-radius: 25px;
        left: 31.25%;
        margin-right: -31.25%;
    }
    60%, 69% {
        filter: grayscale(0%);
        max-height: 50vh;
        border-radius: 25px;
        left: 50%;
        margin-right: -50%;
    }
    2%, 13%, 15%, 49% {
        filter: grayscale(0%);
        max-height: 30vh;
        border-radius: 25px;
        left: 50%;
        margin-right: -50%;
    }
    14% {
        max-height: 30vh;
        border-radius: 25px;
        left: 60%;
        margin-right: -60%;
    }

}
